cls

rem  Script for editing and compiling Scorpath package

rem  Edit this script to avoid unnecessary actions

rem  Change to SOURCE directory

     cd source

rem   Edit, Compile and Link

rem  Rotor Geometry and Compressor Thermodynamics

rem  edit sco.for
rem  edit sco10.for
rem  edit sco20.for
rem  edit sco21.for
rem  edit sco22.for
rem  edit diffr.for
rem  edit diff.for
rem  edit ropt.for
rem  edit box.for
rem  edit prop.for

rem    ..\bin90\fl32 -c -4Yb sco10.for 
rem    ..\bin90\fl32 -c -4Yb sco11.for 
rem    ..\bin90\fl32 -c -4Yb sco20.for 
rem    ..\bin90\fl32 -c sco21.for 
rem    ..\bin90\fl32 -c sco22.for 
rem    ..\bin90\fl32 -c diffr.for 
rem    ..\bin90\fl32 -c -4Yb diff.for 
rem    ..\bin90\fl32 -c box.for 
rem    ..\bin90\fl32 -c ropt.for 
rem    ..\bin90\fl32 -c prop.for 

   ..\bin90\fl32 sco.for ropt.obj box.obj prop.obj sco10.obj diffr.obj sco11.obj obj\sco12.obj sco20.obj diff.obj sco21.obj sco22.obj sco23.lib ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib

rem  Force calculator

rem  edit forc.for

   ..\bin90\fl32 forc.for     ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib

rem  Tool Profiling

rem  edit g.for
rem  edit gl.for
rem  edit tran.for
rem  edit rt.for
rem  edit tr.for

   ..\bin90\fl32 g.for     ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
  ..\bin90\fl32 gl.for    ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
  ..\bin90\fl32 tran.for  obj\sco12.obj ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
  ..\bin90\fl32 rt.for    obj\rotool.obj ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
  ..\bin90\fl32 tr.for    obj\rotool.obj ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib

rem  Cad Interface

rem  edit port.for

  ..\bin90\fl32 port.for ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
 
rem  Rotor Animator

rem  Precompiled in FORTRAN 77

rem  Copy all exe files from source to the main directory

     copy *.exe ..\.
     del *.exe

rem  Back to the starting directory

     cd ..
