C##################################################################
C                       S C O R P A T H
C    SCREW COMPRESSOR ROTOR PROFILING AND COMPUTATION PACKAGE
C******************************************************************      
C
C--- COMMON BLOCKS
C     
C##################################################################
C
C GEOMETRY 
C
      COMMON /GEOM/ X1(3000),Y1(3000),X2(3000),Y2(3000),XRA(3000),
     & YRA(3000),DXDY1(3000),DXDY2(3000),DXDYRA(3000),PHI1(3000),
     & JN,AI,AK,R1,R2,R3,
     & R4,ALPHA1,ALPHA2,ENN,A,THETAP,ILOBE,NLOBE,R1W,R2W,R,R0,EL,E,
     & GAPI,GAPR,GAPA,Z1,Z2,SLF,SLB,SLR1,SLR2,PSIh,RZ,R11,RR,BHAREA,
     & IX21,IX22,IX2M1,IX2M2,IX2,IX1,LOOP2,F1N,F2N,ALBF(900),FIOU0,psi,
     & VOLL,dafil,fcrit
C
C THERMODYNAMICS 
C
      COMMON /THERMO/ PRES,P0,PR,RO0,ROR,ROC,V0,VR,ENT0,ENTR,ENTC,
     & WTP,DWTP,DPPP,TVAP,TKON,DTKON,IPRNT,LP,LW,LC,ILB,EPSBL,EX,ISM,
     & YI(8),DIFI(8),XHA,HA,URF,MAXI,VRB(7,5000),ALFA,D,AIN,AOU,PI,OM,
     & NID,AKAP,RGAS,TC,TR,T0,TS,TULJ,FIIN,FIOU,FI1C,AMAS,AMASV,AKIZ,
     & AKIZ1,AKA,AKA1,FIOIL,COIL,VISOIL,RMOMG,TOIL,AMOIL,DOIL,ROOIL,
     & ENI,ALAM,REV,AKA0,T0KEL,fi1s
C
C  IIR PROPERTY ROUTINES
C
      COMMON /A9/ TREF,SSC1,SSC2,HHC1,HHC2,HHC3,UREF,SREF,HREF,VCC
      COMMON /A6/ PFILL(47),RGR,PFILL1(11)

C
C  LEE-KESLER PROPERTY ROUTINES
C
      COMMON /LKS/ NFL

c NIST PROPERTY ROUTINES
c
      DOUBLE PRECISION xkg(5),xrp(5),xl(5),xv(5),wmm
      DOUBLE PRECISION wm,ttp,tnbp,tcrit,pcrit,Dcrit,Zc,acf,dip,Rgasrp
      DOUBLE PRECISION h0rp,s0rp,t0rp,p0rp
      DOUBLE PRECISION tcmix,pcmix,Dcmix
      DOUBLE PRECISION trp,rhorp,rhol,rhov,prp,hrp,srp !,erp
      DOUBLE PRECISION teos,peos,heos,seos,deos,cpeos
c
      character*255 hfiles(5),hfmix    
      character*12 hcas(5),hname(5)
      character*3 hrf                 
      character*255 herr              
      character*80 hn80
c
      common /nst/ xkg,xrp,xl,xv,wmm,
     & wm,ttp,tnbp,tcrit,pcrit,Dcrit,Zc,acf,dip,Rgasrp,
     & h0rp,s0rp,t0rp,p0rp,tcmix,pcmix,Dcmix,
     & trp,rhorp,rhol,rhov,prp,hrp,srp,
     & hfiles,hfmix,hcas,hname,hrf,herr,hn80,nc,
     & teos,tconv0,tconv1,peos,pconv0,pconv1,
     & heos,hconv0,hconv1,seos,sconv0,sconv1,
     & deos,dconv1,cpeos
c
