echo off
cd \
C:
cd C:\Program Files\DISCO\SCORPATH
cls

rem  Script for editing and compiling Scorpath package

rem  Edit this script to avoid unnecessary actions

rem  Change to SOURCE directory

     cd source

rem   Edit, Compile and Link

rem  Rotor Geometry and Compressor Thermodynamics

rem  edit sco.for
rem  edit sco1.for
rem  edit sco10.for
rem  edit sco11.for
rem  edit sco2.for
rem  edit sco20.for
rem  edit sco21.for
rem  edit sco22.for
rem  edit diffr.for
rem  edit diff.for
rem  edit diffrblo.for
rem  edit ropt.for
rem  edit box.for
rem  edit prop.for

..\bin90\fl32 -c -4Yb sco1.for 
..\bin90\fl32 -c -4Yb sco10.for 
..\bin90\fl32 -c -4Yb sco11.for 
..\bin90\fl32 -c -4Yb sco2.for 
..\bin90\fl32 -c -4Yb sco20.for 
..\bin90\fl32 -c -4Yb sco21.for 
..\bin90\fl32 -c -4Yb sco22.for 
..\bin90\fl32 -c -4Yb diffr.for 
..\bin90\fl32 -c -4Yb diffrblo.for 
..\bin90\fl32 -c -4Yb diff.for 
..\bin90\fl32 -c -4Yb box.for 
..\bin90\fl32 -c -4Yb ropt.for 
..\bin90\fl32 -c -4Yb prop.for 

rem   fl32 sco.for ropt.obj box.obj prop.obj sco1.obj sco10.obj diffr.obj diffrblo.obj sco11.obj obj\sco12.obj sco20.obj diff.obj sco21.obj sco22.obj sco23.lib 
   ..\bin90\fl32 -4Yb sco.for ropt.obj box.obj prop.obj sco1.obj sco10.obj diffr.obj diffrblo.obj sco11.obj obj\sco12.obj sco2.obj sco20.obj diff.obj sco21.obj sco22.obj sco23.lib ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib

rem  Force calculator

rem  edit forc.for

fl32 forc.for   

rem  Tool Profiling

rem  edit g.for
rem  edit gl.for
rem  edit tran.for
rem  edit trac.for
rem  edit rt.for
rem  edit tr.for

..\bin90\fl32 g.for  ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
..\bin90\fl32 gl.for ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib    
..\bin90\fl32 tran.for  obj\sco12.obj ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
..\bin90\fl32 trac.for  -4Yb  ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
..\bin90\fl32 rt.for    obj\sco12.obj obj\rotool.obj  ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
..\bin90\fl32 tr.for    obj\sco12.obj obj\rotool.obj  ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib

rem  Cad Interface

rem  edit port.for

..\bin90\fl32 -4Yb port.for  ..\bin90\advapi32.lib ..\bin90\libc.lib ..\bin90\console.lib ..\bin90\libf.lib ..\bin90\portlib.lib ..\bin90\kernel32.lib
 
rem  Rotor Animator

rem  Precompiled in FORTRAN 77

rem  Copy all exe files from source to the main directory

     copy *.exe ..\.
     del *.exe

rem  Back to the starting directory

     cd ..
